Bug 800894 - [abrt] shotwell-0.12.0-0.1.20111117gitcf087489ea.fc17: g_logv: Process /usr/bin/shotwell was killed by signal 5 (SIGTRAP)
[abrt] shotwell-0.12.0-0.1.20111117gitcf087489ea.fc17: g_logv: Process /usr/b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:95917dc2985db8e73e1d253b14f...
:
: 649653 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 08:28 EST by Stef Walter
Modified: 2013-07-31 23:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:52:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (9.87 KB, text/plain)
2012-03-07 08:29 EST, Stef Walter
no flags Details
File: maps (46.03 KB, text/plain)
2012-03-07 08:29 EST, Stef Walter
no flags Details
File: build_ids (4.32 KB, text/plain)
2012-03-07 08:29 EST, Stef Walter
no flags Details
File: backtrace (23.95 KB, text/plain)
2012-03-07 08:29 EST, Stef Walter
no flags Details
Image that i tried to open with shotwell. (91.24 KB, image/png)
2012-03-07 08:29 EST, Stef Walter
no flags Details

  None (edit)
Description Stef Walter 2012-03-07 08:28:59 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        shotwell '/data/Screenshot from 2012-03-07 14:14:36.png'
comment:        Tried to open a screenshot png file i just took. The image opens fine in eog.
crash_function: g_logv
executable:     /usr/bin/shotwell
kernel:         3.3.0-0.rc6.git0.2.fc17.x86_64
pid:            2857
pwd:            /data
reason:         Process /usr/bin/shotwell was killed by signal 5 (SIGTRAP)
time:           2012-03-07T14:14:48 CET
uid:            1000
username:       stef

backtrace:      Text file, 24522 bytes
build_ids:      Text file, 4428 bytes
dso_list:       Text file, 10111 bytes
maps:           Text file, 47134 bytes

environ:
:DISPLAY=:0.0
:XDG_VTNR=2
:XDG_SESSION_ID=3
:HOSTNAME=stef-desktop.thewalter.lan
:TERM=linux
:SHELL=/bin/bash
:LOGIN_SITE=/data/projects/login-provider/site
:HISTSIZE=1000
:XDG_SESSION_COOKIE=13946642489734c5e44302c1000002dd-1331125764.458862-1937879348
:USER=stef
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:MEM_SITE=/data/projects/members/site
:MAILER_SITE=/data/projects/login-mailer/site
:MAIL=/var/spool/mail/stef
:PATH=/data/bin:/data/.local/bin:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/data/bin
:PWD=/data
:JAVA_HOME=/opt/jdk_1.4.2/
:EDITOR=vi
:LANG=en_US.UTF-8
:HISTCONTROL=ignoredups
:SHLVL=1
:XDG_SEAT=seat0
:HOME=/data
:LOGNAME=stef
:CVS_RSH=ssh
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:UDB_CONFFILE=/data/projects/udb-test/unit-test/udb.conf
:XDG_RUNTIME_DIR=/run/user/stef
:_=/bin/gnome-shell
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:G_MESSAGES_DEBUG=all
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/shotwell-viewer.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2857

var_log_messages:
:Mar  7 14:14:48 stef-desktop kernel: [  418.303609] shotwell[2857] trap int3 ip:7ff136bab9e1 sp:7fff9cbf8510 error:0
:Mar  7 14:14:48 stef-desktop abrt[2861]: Saved core dump of pid 2857 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-03-07-14:14:48-2857 (6463488 bytes)
Comment 1 Stef Walter 2012-03-07 08:29:03 EST
Created attachment 568288 [details]
File: dso_list
Comment 2 Stef Walter 2012-03-07 08:29:05 EST
Created attachment 568289 [details]
File: maps
Comment 3 Stef Walter 2012-03-07 08:29:07 EST
Created attachment 568290 [details]
File: build_ids
Comment 4 Stef Walter 2012-03-07 08:29:10 EST
Created attachment 568291 [details]
File: backtrace
Comment 5 Stef Walter 2012-03-07 08:29:58 EST
Created attachment 568292 [details]
Image that i tried to open with shotwell.
Comment 6 abrt-bot 2012-03-21 13:12:08 EDT
*** Bug 649653 has been marked as a duplicate of this bug. ***
Comment 7 Fedora End Of Life 2013-07-03 20:19:10 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 23:52:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.